Summary:	Application tuning GUI and command line utility
Summary(pl.UTF-8):	Graficzny interfejs oraz narzędzie linii poleceń do dostrajania aplikacji
Name:		tuna
Version:	0.19
Release:	1
License:	GPL v2
Group:		Libraries/Python
Source0:	https://www.kernel.org/pub/software/utils/tuna/%{name}-%{version}.tar.xz
# Source0-md5:	3aa4457451db7b83666d6bfd4ece12e4
URL:		https://rt.wiki.kernel.org/index.php/Tuna
BuildRequires:	gettext-devel
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	gtk+3 >= 3.0
Requires:	python3-ethtool
Requires:	python3-linux-procfs >= 0.6
Requires:	python3-matplotlib
Requires:	python3-numpy
Requires:	python3-pygobject3 >= 3.0
Requires:	python3-schedutils >= 0.6
Suggests:	python3-inet_diag
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tune provides interface for changing scheduler and IRQ tunables, at
whole CPU and at per thread/IRQ level. Allows isolating CPUs for use
by a specific application and moving threads and interrupts to a CPU
by just dragging and dropping them. Operations can be done on CPU
sockets, understanding CPU topology.

Tuna can be also used as a command line utility.

%description -l pl.UTF-8
Tuna udostępnia interfejs do zmiany ustawień planisty oraz IRQ, na
poziomie całego procesora, jak i wątku/IRQ. Pozwala na izolowanie
procesorów do wykorzystania przez określone aplikacje oraz
przenoszenie wątków i przerwań na procesor poprzez przeciąganie ich.
Operacje mogą być wykonywane na gniazdach procesorów z uwzględnieniem
topologii.

Tuna może być używana także jako narzędzie linii poleceń.

%prep
%setup -q

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/tuna,%{_bindir},%{_datadir}/tuna,%{_mandir}/man8,%{_datadir}/polkit-1/actions,%{_desktopdir}}

%py3_install

cp -p tuna/tuna_gui.glade $RPM_BUILD_ROOT%{_datadir}/tuna
install tuna-cmd.py $RPM_BUILD_ROOT%{_bindir}/tuna
install oscilloscope-cmd.py $RPM_BUILD_ROOT%{_bindir}/oscilloscope
cp -pr help $RPM_BUILD_ROOT%{_datadir}/tuna/help
cp -p docs/tuna.8 $RPM_BUILD_ROOT%{_mandir}/man8
cp -p etc/tuna/example.conf $RPM_BUILD_ROOT%{_sysconfdir}/tuna
cp -p etc/tuna.conf $RPM_BUILD_ROOT%{_sysconfdir}
cp -p org.tuna.policy $RPM_BUILD_ROOT%{_datadir}/polkit-1/actions
cp -p tuna.desktop $RPM_BUILD_ROOT%{_desktopdir}

# l10n-ed message catalogues
for lng in `cat po/LINGUAS`; do
        po=po/"$lng.po"
        install -d $RPM_BUILD_ROOT%{_datadir}/locale/${lng}/LC_MESSAGES
        msgfmt $po -o $RPM_BUILD_ROOT%{_datadir}/locale/${lng}/LC_MESSAGES/%{name}.mo
done

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog docs/oscilloscope+tuna.html
%attr(755,root,root) %{_bindir}/oscilloscope
%attr(755,root,root) %{_bindir}/tuna
%{py3_sitescriptdir}/tuna
%{py3_sitescriptdir}/tuna-%{version}-py*.egg-info
%{_datadir}/tuna
%dir %{_sysconfdir}/tuna
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/tuna.conf
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/tuna/example.conf
%{_datadir}/polkit-1/actions/org.tuna.policy
%{_desktopdir}/tuna.desktop
%{_mandir}/man8/tuna.8*
%changelog
* Thu Mar 30 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tuna.git;a=log;h=master

* Thu Mar 30 2023 Jakub Bogusz <qboosh@pld-linux.org> 645c975
- updated to 0.19

* Sun Aug 21 2022 Jakub Bogusz <qboosh@pld-linux.org> cf16593
- updated to 0.18

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> f3d57ef
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> ceec8e1
- rebuild with python 3.10

* Sat Jan 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 2c17e5c
- updated to 0.17

* Sun Jul 04 2021 Jakub Bogusz <qboosh@pld-linux.org> 7e734c8
- updated to 0.16

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> d2e2562
- release 2 (by relup.sh)

* Mon Feb 22 2021 Jakub Bogusz <qboosh@pld-linux.org> cfae1d7
- updated to 0.15 (now uses gi bindings instead of pygtk)
- switched to python3

* Sat Jun 20 2020 Jakub Bogusz <qboosh@pld-linux.org> 759a4d0
- updated to 0.14.1

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> be0bcb4
- release 2 (by relup.sh)

* Fri Aug 24 2018 Jakub Bogusz <qboosh@pld-linux.org> f79b9c7
- updated to 0.14

* Mon Jun 13 2016 Jakub Bogusz <qboosh@pld-linux.org> 9d71d8e
- updated macros for python

* Mon Jun 13 2016 Jakub Bogusz <qboosh@pld-linux.org> 51319e7
- updated to 0.13.1

* Mon Oct 13 2014 Jakub Bogusz <qboosh@pld-linux.org> e847c38
- R: python-ethtool

* Sun Oct 12 2014 Jakub Bogusz <qboosh@pld-linux.org> a9f2900
- new

